!set title=Bases ortonormales
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=fr
leftrange=-5.000000
rightrange=5.000000
author=Bernadette PERRIN-RIOU
email=bpr@math.u-psud.fr
computeanswer=yes
precision=10000

ansorder=r,r,r,r,r,r
varcnt=16
prevarcnt=5
postvarcnt=10
replycnt=6
choicecnt=0
conditioncnt=8
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 1, 2

tmp1=!randint -2, -1

tmp2=!randitem $(tmp0), $(tmp1)

tmp3=!randint 1, 2

tmp4=!randint -2, -1

tmp5=!randitem $(tmp3), $(tmp4)

tmp6=!randint 1, 2

tmp7=!randint -2, -1

tmp8=!randitem $(tmp6), $(tmp7)

val6=$(tmp2),$(tmp5),$(tmp8)
tmp0=!randint -2, 2

tmp1=!randint -2, 2

val7=$(tmp0),0,$(tmp1)
tmp0=!randint -2, 2

tmp1=!randint -2, 2

val7=$val7	$(tmp0),$(tmp1),0
tmp0=!randint -2, 2

tmp1=!randint -2, 2

val7=$val7	0,$(tmp0),$(tmp1)
tmp=!translate internal $	$ to ; in $val7

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val7=$(tmp0)
oefsteps=reply1, reply2,reply3	reply4,reply5,reply6 
nextstep=!nosubst reply1, reply2,reply3	reply4,reply5,reply6 
!readproc oef/steps.proc
replytype1=vector
replyname1=Primer vector \(v_1)
replygood1=?analyze 8
replytype2=vector
replyname2=Segundo vector \(v_2)
replygood2=?analyze 9
replytype3=vector
replyname3=Vector \(v_3) del ortogonal
replygood3=?analyze 10
replytype4=numeric
replyname4=Norma de \(v_1)
replygood4=?analyze 11
replytype5=numeric
replyname5=Norma de \(v_2)
replygood5=?analyze 12
replytype6=numeric
replyname6=Norma de \(v_3)
replygood6=?analyze 13
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sea 
!insmath \RR^3
$() con el producto escalar usual que denotaremos por	
!insmath < . , . >
$() y 
!insmath F
$() el subespacio vectorial generado por ($val6) y ($val7). 		 
!if $m_step=1 
$()Construir una base ortogonal de  
!insmath F
$() formada por los vectores	
!insmath v_1
$(), 
!insmath v_2
$()  con coeficientes enteros. 		Determinar una base 
!insmath v_3
$()  (coeficientes enteros) del ortogonal 
!insmath F^\perp
$() de 
!insmath F
$() .	<center>	
!insmath  F^\perp= \{(x , y , z) \in \RR^3, <(x , y , z) , f> = 0 \  {\rm pour } \     f \in F\}
$() 	</center> 
!endif
$()		 
!if $m_step=2 
$()Calcular la norma de los tres vectores 
!insmath v_1 = ($val8)
$() ,  
!insmath v_2 = ($val9)
$() ,  
!insmath v_3 = ($val10)
$() que has encontrado. 
!endif
$() 	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
t_=!replace internal \( by ( in  print(matrank([$val8;$val9]))
tmp0=!exec pari $t_

val14=$(tmp0)
t_=!replace internal \( by ( in print(matrank([$val8;$val6;$val7]))
tmp0=!exec pari $t_

val15=$(tmp0)
t_=!replace internal \( by ( in print(matrank([$val9;$val6;$val7]))
tmp0=!exec pari $t_

val16=$(tmp0)
tmp0=!item 1 of $val8

tmp1=!item 1 of $val9

tmp2=!item 2 of $val8

tmp3=!item 2 of $val9

tmp4=!item 3 of $val8

tmp5=!item 3 of $val9

val17=$[($(tmp0))*($(tmp1))+($(tmp2))*($(tmp3))+($(tmp4))*($(tmp5))]
tmp0=!item 1 of $val10

tmp1=!item 2 of $val10

tmp2=!item 3 of $val10

val18=$[($(tmp0))^2+($(tmp1))^2+($(tmp2))^2]
val19=$[($val18)^(1/2)]
tmp0=!item 1 of $val8

tmp1=!item 2 of $val8

tmp2=!item 3 of $val8

val20=$[(($(tmp0))^2+($(tmp1))^2+($(tmp2))^2)^(1/2)]
tmp0=!item 1 of $val9

tmp1=!item 2 of $val9

tmp2=!item 3 of $val9

val21=$[(($(tmp0))^2+($(tmp1))^2+($(tmp2))^2)^(1/2)]
tmp0=!item 1 of $val6

tmp1=!item 1 of $val10

tmp2=!item 2 of $val6

tmp3=!item 2 of $val10

tmp4=!item 3 of $val6

tmp5=!item 3 of $val10

val22=$[($(tmp0))*($(tmp1))+($(tmp2))*($(tmp3))+($(tmp4))*($(tmp5))]
tmp0=!item 1 of $val7

tmp1=!item 1 of $val10

tmp2=!item 2 of $val7

tmp3=!item 2 of $val10

tmp4=!item 3 of $val7

tmp5=!item 3 of $val10

val23=$[($(tmp0))*($(tmp1))+($(tmp2))*($(tmp3))+($(tmp4))*($(tmp5))]

!exit

:feedback

!exit

:test

!ifval $val14=2
 condtest1=1
!else
 condtest1=0
!endif
condname1=Los dos vectores forman un sistema libre

!ifval $val15=2
 condtest2=1
!else
 condtest2=0
!endif
condname2=\(v_1) pertenece a  F

!ifval $val16=2
 condtest3=1
!else
 condtest3=0
!endif
condname3=\(v_2) pertenece a F

!ifval $val17=0
 condtest4=1
!else
 condtest4=0
!endif
condname4=\(v_1) y \(v_2) forman un abase ortogonal

!ifval $val22=0 and $val23=0 and $val18<>0
 condtest5=1
!else
 condtest5=0
!endif
condname5=El vector  \(v_3) es no nulo y pertenece al ortogonal de \(F)

!ifval $val20=$val11
 condtest6=1
!else
 condtest6=0
!endif
condname6=Norma de \(v_1)=$val11

!ifval $val21=$val12
 condtest7=1
!else
 condtest7=0
!endif
condname7=Norma de \(v_2)=$val12

!ifval $val19=$val13
 condtest8=1
!else
 condtest8=0
!endif
condname8=Norma de \(v_3) =$val13

!exit

:stat
vsavelist=6,7,8,9,10,11,12,13
embedcnt=0
